Bug 996120 - The bonding params need to be verified and adjusted if needed to prevent serious network degredations
The bonding params need to be verified and adjusted if needed to prevent seri...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Fabian Deutsch
:
Depends On:
Blocks: 1001468
  Show dependency treegraph
 
Reported: 2013-08-12 08:53 EDT by Fabian Deutsch
Modified: 2013-11-28 06:56 EST (History)
7 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1001468 (view as bug list)
Environment:
Last Closed: 2013-11-28 06:56:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18925 None None None Never

  None (edit)
Description Fabian Deutsch 2013-08-12 08:53:42 EDT
Description of problem:
"""
	It is critical that either the miimon or arp_interval and
arp_ip_target parameters be specified, otherwise serious network
degradation will occur during link failures.  Very few devices do not
support at least miimon, so there is really no reason not to use it.
"""
source: https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/Documentation/networking/bonding.txt#n153

To prevent this case we should check and adjust the arguments if needed during ai and the tui install.
Currently both ways to configure the device don't do any checks on the params and don't even require any params to be set.
Comment 1 Mike Burns 2013-08-15 10:27:28 EDT
IMO (and feel free to argue):

Auto-install:  if the user specifies something for the parameters, then don't change anything.  If they don't pass any parameters, set some sane default.  We generally expect that people know what they're doing with autoinstall

TUI:  when creating a new bond, add default options, but allow the user to change/remove.  If they're editing, don't suddenly add options that weren't there before.
Comment 2 Fabian Deutsch 2013-09-06 07:08:20 EDT
I agree on this position.

Note You need to log in before you can comment on or make changes to this bug.